package com.gct.centralbase.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.centralbase.entity.CbPcDevWellAttr;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 开发井基础数据 Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-08-16
 */
public interface CbPcDevWellAttrMapper extends BaseMapper<CbPcDevWellAttr> {

    /**
     * 根据Id查询单井属性表
     * @param well_id
     * @return
     */
    CbPcDevWellAttr selectOneByWellId(@Param("well_id") String well_id);



    /**
     * 根据参数条件查询单井属性数据
     * @param page
     * @param oil_products_sorting
     * @param test_type
     * @param start_prod_stitum
     * @param oil_production_method
     * @param injection_method
     * @param is_deviated
     * @param beginDate
     * @param endDate
     * @return
     */
    IPage<CbPcDevWellAttr> selectCbPcDevWellAttrList(IPage<?> page,
                                                     @Param("org_id") String org_id,
                                                     @Param("well_id") String well_id,
                                                     @Param("oil_products_sorting") String oil_products_sorting,
                                                     @Param("test_type") String test_type,
                                                     @Param("start_prod_stitum") String start_prod_stitum,
                                                     @Param("oil_production_method") String oil_production_method,
                                                     @Param("injection_method") String injection_method,
                                                     @Param("is_deviated") String is_deviated,
                                                     @Param("beginDate") String beginDate,
                                                     @Param("endDate") String endDate);

}
