package com.gct.centralbase.service;

import com.gct.centralbase.entity.CbPcDevWellAttr;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 开发单井属性数据 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-08-16
 */
public interface CbPcDevWellAttrService extends IService<CbPcDevWellAttr> {

    /**
     * 根据Id查询单井属性数据
     * @param well_id
     * @return
     */
    Result selectOneByWellId(String well_id);

    /**
     * 添加单井属性信息
     * @param cbPcDevWellAttr
     * @return
     */
    Result addCbPcDevWellAttr(CbPcDevWellAttr cbPcDevWellAttr);

    /**
     * 修改单井属性信息
     * @param cbPcDevWellAttr
     * @return
     */
    Result updateCbPcDevWellAttr(CbPcDevWellAttr cbPcDevWellAttr);




    /**
     * 根据参数条件查询单井属性数据
     * @param pageNum
     * @param pageSize
     * @param org_id
     * @param well_id
     * @param oil_products_sorting
     * @param test_type
     * @param start_prod_stitum
     * @param oil_production_method
     * @param injection_method
     * @param is_deviated
     * @param beginDate
     * @param endDate
     * @return
     */
    Result findAllCbPcDevWellAttr(Integer pageNum, Integer pageSize,String org_id,String well_id,String oil_products_sorting, String test_type, String start_prod_stitum, String oil_production_method, String injection_method, String is_deviated,String beginDate,String endDate);

}
