package com.gct.centralbase.service;

import com.alibaba.fastjson.JSONArray;
import com.gct.centralbase.entity.CbPcOrganization;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;

import java.util.List;

/**
 * <p>
 * 组织机构 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbPcOrganizationService extends IService<CbPcOrganization> {

    /**
     * 获取组织架构数据
     *
     * @return
     */
    Result getOrganization(String orgStr);


    String getParAndSonOrg(JSONArray orgArr);

    /**
     * 树形结构查询
     *
     * @return
     */
    Result findTree();


    /**
     * 通过id查询该部门下的所有子部门id 列表
     *
     * @param orgid
     * @return
     */
    List<String> findAllIdById(String orgid);


    /**
     * 从组织机构中获取orgId
     *
     * @param orgId
     */
    List<CbPcOrganization> getOrgId(String orgId);

    CbPcOrganization getOrgById(String id);

    Integer getMaxLevelFromOrg();

    List<String> findSubOrgIDWithMaxLevel(String id, int level);

    String getOrgByWellId(String wellId);

    List<String> getWellIdByOrgId(String orgId);

    Object getMaxLevelOrgId();
}
